Bug 213190 - x11-wm/euclid-wm: Fix broken link and update package to revision 1
Summary: x11-wm/euclid-wm: Fix broken link and update package to revision 1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias Kortkamp
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2016-10-04 15:01 UTC by Mageirias Anastasios
Modified: 2017-02-27 20:12 UTC (History)
1 user (show)

See Also:


Attachments
patch file (7.95 KB, patch)
2016-10-04 15:01 UTC, Mageirias Anastasios
no flags Details | Diff
euclid-wm-0.4.3_1.diff (7.87 KB, patch)
2016-11-01 01:48 UTC, Mageirias Anastasios
anastasios: maintainer-approval+
Details | Diff
euclid-wm-0.4.3_1.diff (8.98 KB, patch)
2016-12-17 00:51 UTC, Mageirias Anastasios
anastasios: maintainer-approval+
Details | Diff
Poudriere Logs (75.42 KB, text/x-log)
2016-12-17 01:04 UTC, Mageirias Anastasios
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mageirias Anastasios 2016-10-04 15:01:51 UTC
Created attachment 175414 [details]
patch file

Added github instead of googlecode MASTER_SITES and added next svn revision 224 (the former was 222)
Comment 1 Bugzilla Automation freebsd_committer 2016-10-04 15:01:51 UTC
Maintainer informed via mail
Comment 2 Mageirias Anastasios 2016-10-05 00:15:16 UTC
Today I'll come up with a new patch adding dzen also because euclid-menu is a work in progress
Comment 3 VK freebsd_triage 2016-10-05 10:35:22 UTC
Thanks for the patch. I am assuming you're the maintainer, guessing from the email address. But please, use the same email address for Bugzilla that you use for MAINTAINER section of your ports, as that way we can track maintainer feedbacks and approvals which is important.
Comment 4 VK freebsd_triage 2016-10-05 10:42:18 UTC
Adding needs-patch per comment #2.
Comment 5 Mageirias Anastasios 2016-11-01 01:48:52 UTC
Created attachment 176357 [details]
euclid-wm-0.4.3_1.diff

I think its' ready now.

There is only an issue. In the extracted euclid-wm's Makefile there is an "install: all" target that installs a folder "handlers" that contains euclid-menu essential files, even if euclid-menu is not installed.
How can i overcome this and not install these files ?
Comment 6 Mageirias Anastasios 2016-11-02 18:14:35 UTC
I changed my email to my new one because i'm migrating from google. Sorry for any problems that it may create. I changed also another port's email security/clamfs for the same reason. There are no other ports affected.
Comment 7 VK freebsd_triage 2016-12-12 01:13:48 UTC
Thanks. Please confirm the changes pass QA (portlint, poudriere).
Comment 8 Mageirias Anastasios 2016-12-17 00:50:43 UTC
I changed the patch (added a patch file) so i'm submitting the new one.

portlint: looks fine
port test: OK

poudriere 10.3-RELEASE amd64: OK
poudriere 10.3-RELEASE i386: OK
poudriere 11.0-RELEASE amd64: OK
poudriere 11.0-RELEASE i386: OK

The log output is also attached
Comment 9 Mageirias Anastasios 2016-12-17 00:51:48 UTC
Created attachment 178019 [details]
euclid-wm-0.4.3_1.diff
Comment 10 Mageirias Anastasios 2016-12-17 01:04:36 UTC
Created attachment 178020 [details]
Poudriere Logs

Poudriere logs for the 4 cases described above (concatenated).
Comment 11 commit-hook freebsd_committer 2017-02-27 10:05:39 UTC
A commit references this bug:

Author: tobik
Date: Mon Feb 27 10:05:16 UTC 2017
New revision: 434922
URL: https://svnweb.freebsd.org/changeset/ports/434922

Log:
  Unbreak port

  - Move from Google Code to GitHub
  - Update maintainer email

  PR:		213190
  Submitted by:	Mageirias Anastasios <anastasios@mageirias.com> (maintainer)
  Approved by:	lme (mentor)
  Differential Revision:	https://reviews.freebsd.org/D9822

Changes:
  head/x11-wm/euclid-wm/Makefile
  head/x11-wm/euclid-wm/distinfo
  head/x11-wm/euclid-wm/files/patch-Makefile
  head/x11-wm/euclid-wm/files/patch-euclid-menu.c
  head/x11-wm/euclid-wm/files/patch-euclid-wm.c
  head/x11-wm/euclid-wm/pkg-descr